# -*- coding: utf-8 -*-

#    Copyright 2022 Fabien Bourgeois <fabien@yaltik.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

{
    'name': 'DBFilter from configuration',
    'summary': 'Database filtering from configuration',
    'description': """ Database filtering from configuration :
      - use Odoo own filtering mechanism fist ;
      - then apply configuration : `domains_to_databases` : string in form of `database:domain1,domain2|database2:domain3`.

    Needs to be added to `server_wide_modules` on configuration or `--load`,
    for example `server_wide_modules = base,web,dbfilter_from_config`.
    Also required : `proxy_mode` to `True`

    Inspired from OCA `dbfilter_from_header`.""",
    'version': '15.0.0.0.2',
    'category': 'Yaltik',
    'author': 'Fabien Bourgeois',
    'license': 'AGPL-3',
    'application': False,
    'installable': True,
    'depends': ['base']
}
